Arduino GLCD Library Version 3 |

# GLCD coordinate system

The coorindate system used by the GLCD library is not a normal cartesian coordinate system. The coordinate system used by the library assigns (0,0) to the upper left corner. Y values grow down instead of the normal up direction, but X values increment left to right as in normal cartesian coordinates.

Below is an example of the coordinate system which also includes the libraries properties.

0,0 is the upper left edge of the display.

Properties

GLCD.Width is the width of the display in pixels

GLCD.Height is the height of the display in pixels

GLCD.Right is the right-most pixel (equals GLCD.Width-1)

GLCD.Bottom is the bottom pixel (equals GLCD.Height-1)

GLCD.CenterX is the horizontal center (equals GLCD.Width/2)

GLCD.CenterY is the vertical center (equals GLCD.Height/2)

All Classes Functions Variables